Subject: Re: bug#19660: Acknowledgement (24.4.51; Crash in draw_row_fringe_bitmaps)

From: Eli Zaretskii <[email-masked]>
Date: Tue, 27 Jan 2015 19:41:20 +0200

> Date: Tue, 27 Jan 2015 10:16:48 +0100
> From: "Jan D." <[email-masked]>
> CC: [email-masked], [email-masked]
> 
> Eli Zaretskii skrev den 2015-01-26 10:31:
> >> Date: Mon, 26 Jan 2015 10:12:35 +0100
> >> From: "Jan D." <[email-masked]>
> >> CC: [email-masked], "Kim F. Storm" <[email-masked]>
> >>
> >>> If no other information emerges, my suggestion would be to remove the
> >>> assertion on master, and see if we get any bug reports.
> >>
> >> No need for that, the NS version crashes later on if I remove that
> >> assert.
> >
> > Where does it crash, and why?  Another similar assertion or something
> > else?
> 
> Entering the GUI event loop, while in the event loop already.  There is 
> an assertion for that on NS.

What do you call "GUI event loop" here?

> Do we actually need block/unblock_input anymore?

I think it's only does something non-trivial on systems that use
SIGIO, but I'm not sure about that.